---
title: "Add user to queue"
url: "https://developer.incode.com/api-reference/queue-conference-add/"
section: "api-reference"
group: "Video conference"
version: "v1.1"
status: "live"
endpoint: "PUT /omni/queue/conference/add"
---
# Add user to queue

`PUT /omni/queue/conference/add`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

When data collection is over, users can be added to the queue for joining conference calls with an executive. The average
time for before user joins to conference is given in response.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `queueName` | query | string |  | The name of the queue, user is entering in case a conference call will be used. If not set, default queue will be used. Possible values: aristotle, buddha, confucius, diogenes. Same value for queueName needs to be used across all requests in one onboarding session. |
| `api-version` | header | string | yes |  |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `interviewCode` | string |  | Interview code received in response of [start](#/Onboarding/startInterview) call. |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `success` | boolean |  | Flag indicating request passed successfully. |
| `sessionStatus` | string |  | Session status Enum: `Alive`, `Closed`, `Deleted` |
| `waitingTimeInSeconds` | integer (int64) |  | Average waiting time before user joins conference call. |

### 400

Custom error status: - 4014: Invalid interview code

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X PUT https://demo-api.incodesmile.com/omni/queue/conference/add \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0" \
  -H "Content-Type: application/json" \
  -d '{
    "interviewCode": ""
  }'
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/queue/conference/add", {
  method: "PUT",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
      "Content-Type": "application/json",
  },
    body: JSON.stringify({
      "interviewCode": ""
    }),
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
    "Content-Type": "application/json",
}
res = requests.put("https://demo-api.incodesmile.com/omni/queue/conference/add", headers=headers, json={
  "interviewCode": ""
})
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/queue/conference/add"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .header("Content-Type", "application/json")
    .method("PUT", HttpRequest.BodyPublishers.ofString("{\n  \"interviewCode\": \"\"\n}"))
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
